Loading...
Searching...
No Matches
Queue size
Public API functions
Collaboration diagram for Queue size:

## Functions

void WINAPI | vpb_set_global_apiq_size (int size)
| Set the maximum number of events the global `APIQ` may hold.
void WINAPI | vpb_set_channel_apiq_size (int size)
| Set the maximum number of events per-channel `APIQ's` may hold.

## Detailed Description

Note
  These functions must be called prior to the initialisation of the device structures. That means before any call to `vpb_open()`, `vpb_get_num_cards()`, or `vpb_get_ports_per_card()` is made.

Exceptions

  VpbException | will be thrown if they are called after device initialisation has taken place.

If you really must change them after that, you may call `vpb_close()`, (with no arguments) to close all ports and release the existing device structures, then call them before re-opening the desired ports.